/* Hero Section (Slideshow) */
.hero-section {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 500px;
    background: linear-gradient(145deg, #163e5a, #112b43);
    background-image: url("https://it36vn.com/public/images/slide.jpeg");
    position: relative;
    overflow: hidden;
    margin-top: 30px; /* Adjusted to avoid overlap with fixed navbar */
    background-repeat: no-repeat;
    background-size: cover;
    background-position: bottom center; 
}

.hero-section .slide {
    display: none;
    position: absolute;
    text-align: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
    padding: 20px;
    background-color: rgba(0, 0, 0, .75);
}

.hero-section .slide h1 {
    margin-bottom: 10px;
}

.hero-section .slide.active {
    display: block;
    opacity: 1;
}
/* Slideshow Navigation Buttons */
.hero-section .prev, .hero-section .next {
    display: none;
    position: absolute;
    top: 90%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    border: none;
    padding: 10px;
    cursor: pointer;
    transition: background 0.3s ease;
}

.hero-section:hover .prev, .hero-section:hover .next {
    display: flex;
}

.hero-section .prev:hover, .hero-section .next:hover {
    background: rgba(0, 0, 0, 0.8);
}

.hero-section .prev {
    left: 10px;
}

.hero-section .next {
    right: 10px;
}

/* Main Content Sections */
.main-content {
    display: flex;
    justify-content: space-around;
    padding: 10px 20px;
    flex: 0.92; /* Allows the main content to expand between header and footer */
}

.section {
    background: #1a3e57;
    padding: 20px;
    border-radius: 8px;
    width: 30%;
/*    text-align: center;*/
    transition: transform 0.3s ease, background 0.3s ease;
}

/* Hover Effect for Main Sections */
.section:hover {
    background: #2d5169;
    transform: scale(1.05);
}

.section h2 {
    margin-bottom: 20px;
    text-decoration: underline;
    text-underline-offset: 5px;
}

p {
    line-height: 1.25;
}

.dot {
  cursor: pointer;
  height:8px;
  width: 8px;
  margin: 10px 2px;
  background-color: #717171;
  border-radius: 50%;
  display: inline-block; 
  transition: background-color 0.6s ease;
}
.dot-active {
  background-color: #fff;
  height: 10px;
  width: 10px;
}

/* Responsive Design */
@media screen and (max-width: 768px) {
    .hero-section {
        height: 250px;
    }

    .hero-section .prev, .hero-section .next {
        display: flex;
    }

    .main-content {
        flex-direction: column;
        align-items: center;
    }

    .section {
        width:100%;
        margin-bottom: 20px;
    }

}